﻿
var ShowType = 1; //页面全局变量 ,1，显示所有分组,2，显示所有联系人
ArrContacts = window.parent.ArrContacts;//全局联系人变量
ArrGroups = window.parent.ArrGroups; //全局分组变量
ArrGroupList = window.parent.ArrGroupList; //全局联系人分组缓存
var PageLoad = 0; //当前页数据加载状态，0为未加载，1为加载了分组，2为加载了联系人数据

$(document).ready(function () {

    ArrContacts = window.parent.ArrContacts; //初始化联系人数据
    if (!ArrContacts) { GetCache_Contacts(); }//4.12新增
    //打开时，显示所有分组
    ShowGroup();
    PageLoad = 1;
    //获得所有联系人数据
    if (localStorage.Contacts) {
        JsonArry(JSON.parse(localStorage.Contacts));
    }
   
    var dataArry = JSON.parse(localStorage.newContacts) || {};
    //初始化数据加载
    jqVirtualTable.data = dataArry;
    jqVirtualTable.pageRows = 25;
    jqVirtualTable.init("data", "item-container");

    $(".index-sidebar-container").hide();
});

//根据分组添加收信人
function addReceiveGroup() {
    $("#list :checkbox").each(function () {
        //获取已选择的所有号码id
        var groupName, groupId;
        if ($(this).is(':checked')) {
            groupName = $(this).attr("data_groupName");
            groupId = $(this).attr("data_groupId");
            if (groupId != -1) {
                addSendList(groupName);
            } else {//添加所有未分组用户
                addSendListOther();
            }
        }
    });
}

//直接添加收信人
function addReceive() {
    if (ShowType == 1) {
        addReceiveGroup();
    } else {
        //addContactsList();
        if (localStorage.Receive) {
            localStorage.Receive += "," + selected;
        } else {
            localStorage.Receive =  selected;
        }
       
        location.href = 'Send.html'
    }
    recUnique();
    refushSendPage(); //刷新上级页面
    closePage();
}

//过滤号码提示
function filterTip(){  
	if (localStorage.tmpCount>0){
		var target = $('#filterTip',window.parent.document);  
		target.show();
		
		setTimeout(function (){ //3秒后隐藏
			target.hide()
		}, 3000);
	}
}  

 /*** 2019.9.2 修改 ***/
//显示所有联系人  
function showAllContacts() {
    //GetCache_Contacts(); //得到缓存中的数据
    //ShowList(ArrContacts, "list");

    bindChkEvent(); //绑定事件

    $("#btnGroup").css("backgroundColor","");
    $("#btnContacts").css("backgroundColor","#ccc");

    ShowType = 2;
    $("#main").hide();
    $("#main2").show();
    //初始化字母导航
    new IndexSidebar().on('charChange', gotoChar);
    $(".index-sidebar-container").show();
    PageLoad = 2;
}

//关闭当前页面
function closePage() {
   window.parent.layer.closeAll();
}

//显示分组
function ShowGroup() {
    //1,先判断本地有没有缓存数据,如果没有，就从服务器上获取
    var html = "";
    groupName = "";

    if (localStorage.groupName) {
        var groupNames = JSON.parse(localStorage.groupName);
        var groupList = JSON.parse(localStorage.groupList);

        for (var i = 0; i < groupNames.length; i++) {
            groupName = groupNames[i];
            html += "<li><span class=\"spanCheck\"><input type=\"checkbox\" data_groupName=\"" + groupName +
                "\" data_groupId=\"" + i + "\" /></span>" +
                "<span class=\"spanGroupName\">" + groupName + "</span></li>";
        }
        html += "<li><span class=\"spanCheck\"><input type=\"checkbox\" data_groupName=\"未分组联系人\" " +
            " data_groupId=\"-1\"/></span>" + "<span class=\"spanGroupName2\">未分组联系人</span></li>";
        var obj = document.getElementById("list");
        obj.innerHTML = html;
    }
    //修改导航样式
    document.getElementById("btnGroup").style.backgroundColor = "#ccc";
    document.getElementById("btnContacts").style.backgroundColor = "";
    bindChkEvent();


    $("#main").show();
    $("#main2").hide();
    $(".index-sidebar-container").hide();
    PageLoad = 1;
}


//刷新上级页
function refushSendPage() {
    var parent = window.parent;
    try{
        if (parent) parent.showReceive();
    } catch (e) { alert(e.message);}
}

/*************** 新增分组的的全选与取消 2019.9.21 **************/
//全选与取消全选
function hfyCheckAllGroup(chkobj) {
    if (PageLoad == 2) {
        hfyNewCheckAll(chkobj);
        return;
    }
    var list = "#main :checkbox";
    if ($(chkobj).text() == "全选") {
        $(chkobj).text("取消");
        $(list).prop("checked", true);
    } else {
        $(chkobj).text("全选");
        selected = "";
        $(list).prop("checked", false);
    }
}

//反选
function hfyReverseAllGroup() {
    if (PageLoad == 2) {
        hfyNewReverseAll();
        return;
    }

    $("#main :checkbox").each(function () {
        $(this).prop("checked", !$(this).prop("checked"));
    });
}