﻿var Debug = true; //

//得到指定节日分组列表
//groupId: 节日类别id
function getHolidaySubGroup(groupId) {
    var groupId = parseInt(groupId);
    if (isNaN(groupId)) return;
    var obj = document.getElementById("main");
    var cache = "";
    if (!obj) return;

    var url = "http://msg.106117.com/holiday.ashx?action=holidayGroup&groupId=" + groupId;
    cache = localStorage["cHolidayGroup" + groupId];

    
    if (!cache) {
        $.ajax({
            url: url,
            type: "get",
            data: {},
            dataType: "html",
            success: function (msg) {
                localStorage["cHolidayGroup" + groupId] = msg;
                obj.innerHTML = msg;
            },
            error: function (XMLHttpRequest, textStatus, errorThrown) {
                if (errorThrown == "")
                    $("#main").before("<div class='connectionTip'>网络不给力，请检查网络设置。</div>");
            },
            complete: function (XMLHttpRequest, textStatus) {
                this;
            }
        });
    } else {
        obj.innerHTML = cache;
    }
}

//得到节日短信列表
//groupId: 短信类别id
function getHolidayMsg(groupId) {
    var groupId = parseInt(groupId);

    $.ajax({
        url: "http://msg.106117.com/Holiday.ashx",
        type: "get",
        data: { action: 'holidayDtl', holidayId: groupId },
        dataType: "html",
        success: function (msg) {
            var obj = document.getElementById("main");
            //obj.innerHTML = msg;

            var rec = "";
            var lst = unique(msg.split("</li>"));

            //给每个数组添加一段代码
            for (var i = 0; i < lst.length; i++) {
                var arr = lst[i].toString().replace("<li onclick='saveMsg(this)'>", "");
                if (arr != "")
                    rec += "<li onclick='openMore(this)'><span>" + arr + "</span><div>···群发</div></li>";
            }
            obj.innerHTML = rec;
        },
        error: function (XMLHttpRequest, textStatus, errorThrown) {
            if (errorThrown == "")
                $("#main").before("<div class='connectionTip'>网络不给力，请检查网络设置。</div>");
        },
        complete: function (XMLHttpRequest, textStatus) {
            this; // 调用本次AJAX请求时传递的options参数
        }
    });
}

/**
 * 短信类别与短信模板的方法
 */
//得到指定类别列表
//groupId: 短信类别id
function getMsgTemplates(data, name) {
    var data = data;
    var name = name;

    $.ajax({
        url: "http://msg.106117.com/msgTemplate.ashx",
        type: "get",
        data: data,
        dataType: "html",
        success: function (msg) {
            //localStorage[name] = "";
            if (data.action == "getMsgList") {
                var rec = "";
                var lst = msg.split("</li>");

                //给每个数组添加一段代码
                for (var i = 0; i < lst.length; i++) {
                    var arr = lst[i].toString().replace("<li>", "");
                    if (arr != "")
                        rec += "<li onclick='openMore(this)'><span>" + arr + "</span><div>···群发</div></li>";
                }
                if (data.page > 1) {
                    if (msg == "") {
                        msg = localStorage[name];
                        $("#more").html("没有更多了~~");
                        dropdown = false; //禁用下拉加载更多
                    }
                    else msg = localStorage[name] + rec;
                } else {
                    msg = rec;
                }
            } else {
                $("#more").hide();
            }
            $("#main").html(msg);
            localStorage[name] = msg;

            if (data.action == "getMsgGroup") {
                $(".dxCategory").addClass("groupId" + data.groupId);
                localStorage[name] = $("#main").html();
            }
        },
        error: function (XMLHttpRequest, textStatus, errorThrown) {
            if (errorThrown == "")
                $("#main").before("<div class='connectionTip'>网络不给力，请检查网络设置。</div>");
        },
        complete: function (XMLHttpRequest, textStatus) {
            this;
        }
    });
}

//设置标题
function setTitle(head) {
    var obj = document.getElementById("dxHead");
    if (obj) {
        obj.innerText = head;
    }
}

//打开更多
function openMore(obj) {
    shortMsg = obj.firstChild.innerHTML;
    $('#popDiv').show();
    $('#popMask').show();
}

//关闭更多
function closeMore(obj) {
    $('#popDiv').hide();
    $('#popMask').hide();
}

//群发短信
function saveMsg() {
    //临时保存当前选择的信息,然后跳转到通讯录页
    localStorage.tmpMsg = "";
    var msg = shortMsg;
    if (msg != null) {
        localStorage.tmpMsg = msg;
    } else {
        localStorage.tmpMsg = "";
    }
    sessionStorage.isTime = 0;
    sessionStorage.sendTime = '';
    window.location.href = "Send.html";
}

//发送定时短信
function saveMsgTiming() {
    //临时保存当前选择的信息,然后跳转到通讯录页
    localStorage.tmpMsg = "";
    var msg = shortMsg;
    if (msg != null) {
        localStorage.tmpMsg = msg;
    } else {
        localStorage.tmpMsg = "";
    }
    sessionStorage.isTime = 1;
    window.location.href = "Send.html";
}

//复制到粘贴板
function copyText() {
    var text = shortMsg;
    cordova.plugins.clipboard.copy(
        text,
        function () {
            //alert2('复制成功！');
        },
        function (e) {
            //alert2('Message Failed:' + e);
        }
    );

    alert2('复制成功！');
    closeMore();//成功后关闭弹出层
}