﻿//第三方授权登录
function wxLogin(){
    var scope = "snsapi_userinfo";

    Wechat.auth(scope, function (response) {
        //这里放登录处理的代码
        $.ajax({
            type: "get",
            url: "http://msg.106117.com/submit_ajax.ashx",
            dataType: "json",
            data: {
                "code": response.code,
                "uuid": "",
                "source": Source,
                "action": "wxLoginThird1"
            },
            timeout: 20000,
            crossDomain: true,
            success: function (data, textStatus) {
                if (data.status == 1) {
                    localStorage.username = data.username;
                    localStorage.token = data.token;
                    localStorage.money = data.amount;
                    localStorage.groupName = JSON.stringify(data.groupName); //当前用户的分组名称
                    localStorage.groupList = JSON.stringify(data.groupList); //当前用户的分组列表
                    localStorage.FirstOpen = 1; //首次打开
                    localStorage.isBind = data.isBind;
                    localStorage.sign = decodeURI(data.sign);
                    window.location.href = "ContactsGroup.html";
                } else if (data.status == 2) {
                    sessionStorage.third = "wx";
                    localStorage.openid = data.openid;
                    window.location.href = "regBindMobile.html";
                }
                else{
                    alert2(data.msg);
                    }
            },
            error: function (XMLHttpRequest, textStatus, errorThrown) {
                if (errorThrown == "timeout") {
                    alert2("操作超时，请检查网络是否连接");
                }
            }
        });
    }, function (reason) {
        //alert("Failed: " + reason);
        });
}

function qqLogin() {
    layer.open({
        type: 2
        , content: '登录中...'
    });

    //检查QQ是否安装
    QQSDK.checkClientInstalled(function () {
        getQqToken();
    }, function () {
        layer.closeAll();
        alert2("您的手机上没有安装QQ");
        });

}

//得到QQ的token
function getQqToken() {
    var token = "";
    QQSDK.ssoLogin(function (args) {
        token = args.access_token;
        $.ajax({
            type: "get",
            url: "http://msg.106117.com/submit_ajax.ashx",
            dataType: "json",
            data: {
                "token":token,
                "source": Source,
                "action": "qqLoginThird1"
            },
            timeout: 6000,
            crossDomain: true,
            success: function (data, textStatus) {
                layer.closeAll();
                if (data.status == 1) {
                    localStorage.username = data.username;
                    localStorage.token = data.token;
                    localStorage.money = data.amount;
                    localStorage.groupName = JSON.stringify(data.groupName); //当前用户的分组名称
                    localStorage.groupList = JSON.stringify(data.groupList); //当前用户的分组列表
                    localStorage.FirstOpen = 1; //首次打开
                    localStorage.isBind = data.isBind;
                    window.location.href = "ContactsGroup.html";
                } else if (data.status == 2) {
                    sessionStorage.third = "qq";
                    localStorage.openid = data.openid;
                    window.location.href = "regBindMobile.html";
                }else{
                    alert2(data.msg);
                }
            },
            error: function (XMLHttpRequest, textStatus, errorThrown) {
                layer.closeAll();
                if (errorThrown == "timeout") {
                    alert2("操作超时，请检查网络是否连接");
                }
            }
        });
    }, function (failReason) {
      //失败了
        layer.closeAll();
    });
}

//第三方注册发送验证码
function getValidateThird() {
    var action = "wxLoginThird2";
    var openid = localStorage.openid;
    var username = $("#txtMobile").val();

    if (sessionStorage.third == 'qq') {
        action = "qqLoginThird2";
    }

    $.ajax({
        type: "GET",
        url: "http://msg.106117.com/submit_ajax.ashx",
        dataType: "json",
        data: {
            "username": username,
            "openid": openid,
            "action": action,
        },
        timeout: 60000,
        crossDomain: true,
        beforeSend: function (XMLHttpRequest) {
            $("#btnSend").attr("disabled", true);
        },
        success: function (data, textStatus) {
            if (data.status == 1) {
                localStorage.username = username;
                location.href = "regValidate.html";
            } else {
                $("#btnSend").attr("disabled", false);
                alert2(data.msg);
            }
        },
        error: function (XMLHttpRequest, textStatus, errorThrown) {
            alert2("暂时无法获取验证码，请稍后再试"); //test
        }
    });
}


//第三方登陆，第三步
function reg() {
    var openid = localStorage.openid;
    var action = "wxLoginThird3";

    if (sessionStorage.third == 'qq') {
        action = "qqLoginThird3";
    }

    var validate = $("#validate1").val() + $("#validate2").val() + $("#validate3").val() + $("#validate4").val();

    $.ajax({
        type: "POST",
        url: "http://msg.106117.com/submit_ajax.ashx",
        dataType: "json",
        data: {
            "openid": openid,
            "username": localStorage.username,
            "validate": validate,
            "action": action,
            "source": Source
        },
        timeout: 20000,
        crossDomain: true,
        success: function (data, textStatus) {
            if (data.status == 1) {
                localStorage.username = data.username;
                localStorage.token = data.token;
                localStorage.money = data.amount;
                localStorage.groupName = JSON.stringify(data.groupName); //当前用户的分组名称
                localStorage.groupList = JSON.stringify(data.groupList); //当前用户的分组列表
                localStorage.FirstOpen = 1; //首次打开
                location.href = "ContactsGroup.html";
            } else {
                alert2(data.msg);
            }
        },
        error: function (XMLHttpRequest, textStatus, errorThrown) {
            if (errorThrown == "timeout") {
                alert2("登录超时，请检查网络是否连接");
            } else {
                alert2("登陆出错：" + errorThrown); //test
            }
        }
    });
}